/****************************************************************************
** Generated QML type registration code
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#include <QtQml/qqml.h>
#include <QtQml/qqmlmoduleregistration.h>

#include <private/finalstate_p.h>
#include <private/signaltransition_p.h>
#include <private/state_p.h>
#include <private/statemachine_p.h>
#include <private/statemachineforeign_p.h>
#include <private/timeouttransition_p.h>

#if !defined(QT_STATIC)
#define Q_QMLTYPE_EXPORT Q_DECL_EXPORT
#else
#define Q_QMLTYPE_EXPORT
#endif

Q_QMLTYPE_EXPORT void qml_register_types_QtQml_StateMachine()
{
    qmlRegisterModule("QtQml.StateMachine", 6, 0);
    qmlRegisterTypesAndRevisions<FinalState>("QtQml.StateMachine", 6);
    qmlRegisterTypesAndRevisions<QAbstractStateForeign>("QtQml.StateMachine", 6);
    QMetaType::fromType<QAbstractTransition *>().id();
    QMetaType::fromType<QFinalState *>().id();
    qmlRegisterTypesAndRevisions<QHistoryStateForeign>("QtQml.StateMachine", 6);
    qmlRegisterTypesAndRevisions<QSignalTransitionForeign>("QtQml.StateMachine", 6);
    qmlRegisterTypesAndRevisions<QStateForeign>("QtQml.StateMachine", 6);
    QMetaType::fromType<QStateMachine *>().id();
    qmlRegisterTypesAndRevisions<SignalTransition>("QtQml.StateMachine", 6);
    qmlRegisterTypesAndRevisions<State>("QtQml.StateMachine", 6);
    qmlRegisterTypesAndRevisions<StateMachine>("QtQml.StateMachine", 6);
    qmlRegisterTypesAndRevisions<TimeoutTransition>("QtQml.StateMachine", 6);
    qmlRegisterModule("QtQml.StateMachine", 6, 4);
}

static const QQmlModuleRegistration registration("QtQml.StateMachine", qml_register_types_QtQml_StateMachine);
